
package android.databinding;
import my.bhul.video.player.BR;
class DataBinderMapper {
    final static int TARGET_MIN_SDK = 11;
    public DataBinderMapper() {
    }
    public android.databinding.ViewDataBinding getDataBinder(android.databinding.DataBindingComponent bindingComponent, android.view.View view, int layoutId) {
        switch(layoutId) {
            case my.bhul.video.player.R.layout.audio_browser_item:
                return my.bhul.video.player.databinding.AudioBrowserItemBinding.bind(view, bindingComponent);
            case my.bhul.video.player.R.layout.audio_browser_separator:
                return my.bhul.video.player.databinding.AudioBrowserSeparatorBinding.bind(view, bindingComponent);
            case my.bhul.video.player.R.layout.video_grid_card:
                return my.bhul.video.player.databinding.VideoGridCardBinding.bind(view, bindingComponent);
            case my.bhul.video.player.R.layout.browser_item_separator:
                return my.bhul.video.player.databinding.BrowserItemSeparatorBinding.bind(view, bindingComponent);
            case my.bhul.video.player.R.layout.video_list_card:
                return my.bhul.video.player.databinding.VideoListCardBinding.bind(view, bindingComponent);
            case my.bhul.video.player.R.layout.directory_view_item:
                return my.bhul.video.player.databinding.DirectoryViewItemBinding.bind(view, bindingComponent);
            case my.bhul.video.player.R.layout.playlist_item:
                return my.bhul.video.player.databinding.PlaylistItemBinding.bind(view, bindingComponent);
        }
        return null;
    }
    android.databinding.ViewDataBinding getDataBinder(android.databinding.DataBindingComponent bindingComponent, android.view.View[] views, int layoutId) {
        switch(layoutId) {
        }
        return null;
    }
    int getLayoutId(String tag) {
        if (tag == null) {
            return 0;
        }
        final int code = tag.hashCode();
        switch(code) {
            case -1443691447:
                if(tag.equals("layout/audio_browser_item_0"))
                    return my.bhul.video.player.R.layout.audio_browser_item;
                break;
            case 774895153:
                if(tag.equals("layout/audio_browser_separator_0"))
                    return my.bhul.video.player.R.layout.audio_browser_separator;
                break;
            case 833401969:
                if(tag.equals("layout/video_grid_card_0"))
                    return my.bhul.video.player.R.layout.video_grid_card;
                break;
            case 674149798:
                if(tag.equals("layout/browser_item_separator_0"))
                    return my.bhul.video.player.R.layout.browser_item_separator;
                break;
            case -867279847:
                if(tag.equals("layout/video_list_card_0"))
                    return my.bhul.video.player.R.layout.video_list_card;
                break;
            case -1882529561:
                if(tag.equals("layout/directory_view_item_0"))
                    return my.bhul.video.player.R.layout.directory_view_item;
                break;
            case -1561895892:
                if(tag.equals("layout/playlist_item_0"))
                    return my.bhul.video.player.R.layout.playlist_item;
                break;
        }
        return 0;
    }
    String convertBrIdToString(int id) {
        if (id < 0 || id >= InnerBrLookup.sKeys.length) {
            return null;
        }
        return InnerBrLookup.sKeys[id];
    }
    private static class InnerBrLookup {
        static String[] sKeys = new String[]{
            "_all"
            ,"chechEnabled"
            ,"checked"
            ,"clickable"
            ,"cover"
            ,"footer"
            ,"handler"
            ,"hasContextMenu"
            ,"item"
            ,"max"
            ,"media"
            ,"position"
            ,"progress"
            ,"resolution"
            ,"scaleType"
            ,"storage"
            ,"subTitle"
            ,"time"
            ,"title"
            ,"titleColor"
            ,"type"};
    }
}